package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFAS5Response {

    @Parameter(name = "AVON")
    String avon();

    @Parameter(name = "AktivaceKarty")
    String aktivaceKarty();

    @Parameter(name = "BlokaceSmlouvy")
    String blokaceSmlouvy();

    @Parameter(name = "BlokaceSmlouvy2")
    String blokaceSmlouvy2();

    @Parameter(name = "CCKAktualniDluznost")
    Double cCKAktualniDluznost();

    @Parameter(name = "CCKBlokace101")
    String cCKBlokace101();

    @Parameter(name = "CCKDatumOdlokovani")
    java.util.Date cCKDatumOdlokovani();

    @Parameter(name = "CCKDatumZmenyAktDluznosti")
    java.util.Date cCKDatumZmenyAktDluznosti();

    @Parameter(name = "CCKDatumZmenyBlokace101")
    java.util.Date cCKDatumZmenyBlokace101();

    @Parameter(name = "CCKDatumZmenyPovoleniTransakci")
    java.util.Date cCKDatumZmenyPovoleniTransakci();

    @Parameter(name = "CCKHistorickaDluznost")
    Double cCKHistorickaDluznost();

    @Parameter(name = "CCKTransakcePovoleny")
    String cCKTransakcePovoleny();

    @Parameter(name = "CelkemDoplatit")
    Double celkemDoplatit();

    @Parameter(name = "Chip")
    String chip();

    @Parameter(name = "CisloBU")
    String cisloBU();

    @Parameter(name = "CisloInstantniKarty")
    Long cisloInstantniKarty();

    @Parameter(name = "CisloInstantniKartyMask")
    String cisloInstantniKartyMask();

    @Parameter(name = "CisloKaretnihoUctu")
    Long cisloKaretnihoUctu();

    @Parameter(name = "CisloKaretnihoUctuMask")
    String cisloKaretnihoUctuMask();

    @Parameter(name = "CisloKarty")
    Long cisloKarty();

    @Parameter(name = "CisloKartyMask")
    String cisloKartyMask();

    @Parameter(name = "CisloOKSmlouvy")
    String cisloOKSmlouvy();

    @Parameter(name = "CisloSmlouvy")
    String cisloSmlouvy();

    @Parameter(name = "DatumAktivaceIVR")
    java.util.Date datumAktivaceIVR();

    @Parameter(name = "DatumAutomatickehoZruseniKarty")
    java.util.Date datumAutomatickehoZruseniKarty();

    @Parameter(name = "DatumBlokace")
    java.util.Date datumBlokace();

    @Parameter(name = "DatumBlokaceSmlouvy")
    java.util.Date datumBlokaceSmlouvy();

    @Parameter(name = "DatumBlokaceSmlouvy2")
    java.util.Date datumBlokaceSmlouvy2();

    @Parameter(name = "DatumExpiraceKarty")
    String datumExpiraceKarty();

    @Parameter(name = "DatumExpiraceKartyFull")
    java.util.Date datumExpiraceKartyFull();

    @Parameter(name = "DatumExpiraceMinuleKarty")
    java.util.Date datumExpiraceMinuleKarty();

    @Parameter(name = "DatumMoznehoZruseniBU")
    java.util.Date datumMoznehoZruseniBU();

    @Parameter(name = "DatumOdblokovani")
    java.util.Date datumOdblokovani();

    @Parameter(name = "DatumOdeslaniPoslednihoVypisu")
    java.util.Date datumOdeslaniPoslednihoVypisu();

    @Parameter(name = "DatumOtevreniKaretnihoUctu")
    java.util.Date datumOtevreniKaretnihoUctu();

    @Parameter(name = "DatumPodpisuSmlouvy")
    java.util.Date datumPodpisuSmlouvy();

    @Parameter(name = "DatumPosledniSplatky")
    java.util.Date datumPosledniSplatky();

    @Parameter(name = "DatumPosledniZmeny")
    java.util.Date datumPosledniZmeny();

    @Parameter(name = "DatumPoslednihoVypisu")
    java.util.Date datumPoslednihoVypisu();

    @Parameter(name = "DatumPrijetiNaPodatelnu")
    java.util.Date datumPrijetiNaPodatelnu();

    @Parameter(name = "DatumPristihoVypisu")
    java.util.Date datumPristihoVypisu();

    @Parameter(name = "DatumSplatnosti")
    java.util.Date datumSplatnosti();

    @Parameter(name = "DatumVydaniKarty")
    java.util.Date datumVydaniKarty();

    @Parameter(name = "DenGenerovaniVypisu")
    Long denGenerovaniVypisu();

    @Parameter(name = "DisponibilniZustatek")
    Double disponibilniZustatek();

    @Parameter(name = "DisponibilniZustatekHotovost")
    Double disponibilniZustatekHotovost();

    @Parameter(name = "DodatkovaKarta")
    String dodatkovaKarta();

    @Parameter(name = "DruhKarty")
    String druhKarty();

    @Parameter(name = "DrzitelDatumNarozeni")
    java.util.Date drzitelDatumNarozeni();

    @Parameter(name = "DrzitelHeslo")
    String drzitelHeslo();

    @Parameter(name = "DrzitelHeslo_PriznakZmeny")
    String drzitelHesloPriznakZmeny();

    @Parameter(name = "DrzitelJmeno")
    String drzitelJmeno();

    @Parameter(name = "DrzitelRC")
    String drzitelRC();

    @Parameter(name = "DrzitelTelefon")
    String drzitelTelefon();

    @Parameter(name = "DrzitelTelefonMobilni")
    String drzitelTelefonMobilni();

    @Parameter(name = "DrzitelTelefonMobilniPredvolba")
    String drzitelTelefonMobilniPredvolba();

    @Parameter(name = "DrzitelTelefonPredvolba")
    String drzitelTelefonPredvolba();

    @Parameter(name = "DrzitelTelefonZamestnani")
    String drzitelTelefonZamestnani();

    @Parameter(name = "DrzitelTelefonZamestnaniPredvolba")
    String drzitelTelefonZamestnaniPredvolba();

    @Parameter(name = "DuvodBlokace")
    String duvodBlokace();

    @Parameter(name = "Email")
    String email();

    @Parameter(name = "ExpiraceFlag")
    String expiraceFlag();

    @Parameter(name = "FLIP2")
    String flip2();

    @Parameter(name = "FLIPKarta")
    String fLIPKarta();

    @Parameter(name = "FLIPSK")
    String flipsk();

    @Parameter(name = "Firma")
    String firma();

    @Parameter(name = "Internet")
    String internet();

    @Parameter(name = "KodBanky")
    String kodBanky();

    @Parameter(name = "KodKarty")
    String kodKarty();

    @Parameter(name = "LimitBankomat")
    Double limitBankomat();

    @Parameter(name = "LimitMOTOInternet")
    Double limitMOTOInternet();

    @Parameter(name = "LimitObchodnik")
    Double limitObchodnik();

    @Parameter(name = "LogoPuvodni")
    Long logoPuvodni();

    @Parameter(name = "MSISDN")
    String msisdn();

    @Parameter(name = "MajitelJmeno")
    String majitelJmeno();

    @Parameter(name = "MajitelOP")
    String majitelOP();

    @Parameter(name = "MajitelRC")
    String majitelRC();

    @Parameter(name = "MaxPocetTransakciDen")
    Long maxPocetTransakciDen();

    @Parameter(name = "MaxPocetTransakciDenATM")
    Long maxPocetTransakciDenATM();

    @Parameter(name = "MaxPocetTransakciDenIMT")
    Long maxPocetTransakciDenIMT();

    @Parameter(name = "MinimalniSplatka")
    String minimalniSplatka();

    @Parameter(name = "MultibrandStatus")
    String multibrandStatus();

    @Parameter(name = "PCTTabulka")
    String pCTTabulka();

    @Parameter(name = "PlasticID")
    String plasticID();

    @Parameter(name = "PocetNedorucenychVypisu")
    Long pocetNedorucenychVypisu();

    @Parameter(name = "PresnyDatumExpiraceKarty")
    java.util.Date presnyDatumExpiraceKarty();

    @Parameter(name = "ProvadenaAkce")
    String provadenaAkce();

    @Parameter(name = "RetenceObrat")
    String retenceObrat();

    @Parameter(name = "RetenceObratStara")
    String retenceObratStara();

    @Parameter(name = "RocniObrat")
    Double rocniObrat();

    @Parameter(name = "SmartPINAnoNe")
    String smartPINAnoNe();

    @Parameter(name = "SmartPINNumber")
    String smartPINNumber();

    @Parameter(name = "SmartPINPozadavek")
    Long smartPINPozadavek();

    @Parameter(name = "SpecifickySymbol")
    String specifickySymbol();

    @Parameter(name = "SplatnaMinimalniSplatka")
    Double splatnaMinimalniSplatka();

    @Parameter(name = "StavDodani")
    String stavDodani();

    @Parameter(name = "StavKarty")
    String stavKarty();

    @Parameter(name = "StavSmlouvy")
    String stavSmlouvy();

    @Parameter(name = "StavVycerpanehoRamce")
    Double stavVycerpanehoRamce();

    @Parameter(name = "TACO")
    String taco();

    @Parameter(name = "TACP")
    String tacp();

    @Parameter(name = "TAMesto")
    String tAMesto();

    @Parameter(name = "TAPSC")
    String tapsc();

    @Parameter(name = "TAUlice")
    String tAUlice();

    @Parameter(name = "TypKarty")
    String typKarty();

    @Parameter(name = "TypKartyLogo")
    String typKartyLogo();

    @Parameter(name = "TypKarty_Final")
    String typKartyFinal();

    @Parameter(name = "TypLimituATM")
    String typLimituATM();

    @Parameter(name = "TypLimituRetail")
    String typLimituRetail();

    @Parameter(name = "UrokovaSazbaBankomat")
    Double urokovaSazbaBankomat();

    @Parameter(name = "UrokovaSazbaObchodnik")
    Double urokovaSazbaObchodnik();

    @Parameter(name = "UrokovaSazbaPriznak")
    String urokovaSazbaPriznak();

    @Parameter(name = "UrokovaSazbaZvyhodnenaEndDate")
    java.util.Date urokovaSazbaZvyhodnenaEndDate();

    @Parameter(name = "UrokovaSazbaZvyhodnenaStartDate")
    java.util.Date urokovaSazbaZvyhodnenaStartDate();

    @Parameter(name = "UverovyRamec")
    Double uverovyRamec();

    @Parameter(name = "UverovyRamecHotovost")
    Double uverovyRamecHotovost();

    @Parameter(name = "VyberMimoEU")
    String vyberMimoEU();

    @Parameter(name = "VysePosledniSplatky")
    Double vysePosledniSplatky();

    @Parameter(name = "VysePrecerpaneCastky")
    Double vysePrecerpaneCastky();

    @Parameter(name = "VytlaceneJmeno")
    String vytlaceneJmeno();

    @Parameter(name = "VytlaceneJmeno2")
    String vytlaceneJmeno2();

    @Parameter(name = "ZACO")
    String zaco();

    @Parameter(name = "ZACP")
    String zacp();

    @Parameter(name = "ZAMesto")
    String zAMesto();

    @Parameter(name = "ZAPINCO")
    String zapinco();

    @Parameter(name = "ZAPINCP")
    String zapincp();

    @Parameter(name = "ZAPINObec")
    String zAPINObec();

    @Parameter(name = "ZAPINPSC")
    String zapinpsc();

    @Parameter(name = "ZAPINPosta")
    String zAPINPosta();

    @Parameter(name = "ZAPINUlice")
    String zAPINUlice();

    @Parameter(name = "ZAPSC")
    String zapsc();

    @Parameter(name = "ZAPosta")
    String zAPosta();

    @Parameter(name = "ZAUlice")
    String zAUlice();

    @Parameter(name = "ZAZeme")
    String zAZeme();

    @Parameter(name = "ZamCO")
    String zamCO();

    @Parameter(name = "ZamCP")
    String zamCP();

    @Parameter(name = "ZamICO")
    String zamICO();

    @Parameter(name = "ZamMesto")
    String zamMesto();

    @Parameter(name = "ZamNazev")
    String zamNazev();

    @Parameter(name = "ZamPSC")
    String zamPSC();

    @Parameter(name = "ZamUlice")
    String zamUlice();

    @Parameter(name = "ZpusobDistribucePIN")
    String zpusobDistribucePIN();

    @Parameter(name = "ZpusobDistribuceVypisu")
    String zpusobDistribuceVypisu();

    @Parameter(name = "ZpusobRuseni")
    String zpusobRuseni();

    @Parameter(name = "ZpusobUhrady")
    String zpusobUhrady();

    @Parameter(name = "ZpusobUhradyJednoduchy")
    String zpusobUhradyJednoduchy();

    @Parameter(name = "Zvyhodneni")
    String zvyhodneni();

}